# AppImage Builder Docker

### Сборка образа

```
git clone https://git.zhirov.kz/alexander/appimage-builder-docker.git
cd appimage-builder-docker
docker build --no-cache -t appimage-builder:0.2.0 .
```

### Подготовка

Перед сборкой необходимы три директории
- `input` - директория с рецептами сборки AppImage, [согласно иерархии AppImage Builder](https://git.zhirov.kz/alexander/appimage-builder/src/branch/master/src/apps)
- `cache` - директория для промежуточного буфера скачиваемых пакетов `deb`/`rpm`
- `output` - директория для готовых файлов AppImage и журнала сборки

```
mkdir output cache
```

### Запуск

```
docker run --rm \
    --device /dev/fuse \
    --cap-add SYS_ADMIN \
    --security-opt apparmor:unconfined \
    --volume ./input:/input \
    --volume ./output:/output \
    --volume ./cache:/cache \
    appimage-builder:0.2.0 -u 1001 <apps>
```

где флаг `-u` указывает UID пользователя для установки прав (`user:group`) на полученные файлы в `output` и `cache` (по умолчанию `1000`)
